QGIS Application - Bug report #5848
Different icons for QGIS and QGIS Browser
2012-06-22 12:23 AM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15318
Description

Currently both QGIS and QGIS Browser share same icon, this is a bit confusing for users. It will be better to use different icon for QGIS
Browser. Here is my attempt to create such icon.

P.S. not sure how to classify this — as bug or as feature. Please correct, if I'm wrong

Related issues:
Duplicated by QGIS Application - Feature request # 6559: The Icons for the QG... Closed 2012-10-22

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-11-03 12:35 PM - Alexander Bruy

- File browser_ico_32.png added

Here is sample icon for QGIS Browser.

#3 - 2012-11-03 12:47 PM - Larry Shaffer

- File qgisb.png added

- Status changed from Open to Feedback

Hi Alexander,

Here is a version | made for when we created an alias to the embedded browser within the main QGIS.app bundle for Mac OS X (commit:3c1c229).

Attached here as a PNG, exported from the Mac .icns file.

#4 - 2012-12-31 01:02 AM - Giovanni Manghi
- Assignee set to Larry Shaffer

Larry Shaffer wrote:

Hi Alexander,

Here is a version | made for when we created an alias to the embedded browser within the main QGIS.app bundle for Mac OS X (commit:3¢c1c229).
Attached here as a PNG, exported from the Mac .icns file.

Hi Larry,
could you please commit this icon? Especially on Windows having two identical icons on the desktop is very confusing for many users.

#5 - 2014-01-07 12:42 AM - Alexander Bruy
- Category set to 95

#6 - 2014-02-17 03:21 AM - Paolo Cavallini

- Pull Request or Patch supplied changed from No to Yes

- Tag set to easy

See:

https://drive.google.com/folderview?id=0B98hU-Ebn7VvX2IGTFRvWkdiX28&#38;usp=sharing

IMHO this should changed, as it is quite confusing for users.

#7 - 2014-02-17 03:29 AM - Jiirgen Fischer

Paolo Cavallini wrote:

IMHO this should changed, as it is quite confusing for users.

and which one? two here, a couple of others there...

#8 - 2014-02-17 03:35 AM - Paolo Cavallini

My vote is for qgis_browser_icon_prototype_v6.svg

But anyone is ok for me.

#9 - 2014-02-17 05:12 AM - Andreas Neumann
- File qgis_browser_icon_prototype_v1.svg added

My vote is for the version qgis_browser_icon_prototype_v1.svg - but with a change that the folders are in blue instead of yellow (like in OSX or KDE). This

way one can better distinguish the folders from the QGIS icon.

| uploaded a modified version at this ticket with the blue folders.

#10 - 2014-02-17 05:56 AM - Jodo Gaspar

Andreas, my suggestion:
If we use the icon v1 prototype we need to pick a color for the folders that is neutral for all OS.

But for me the main goal is definitely the use of a different icon for browser.

#11 - 2014-02-17 09:39 AM - Anita Graser

| don't think v1 is the best option. In my opinion, the difference between the desktop and browser icon should be more easily visible. My suggestion would
be v6 or v9.

Is this the correct location in the repo to put he new browser icon:
https://github.com/qgis/QGIS/tree/master/images/iconshttps://github.com/qgis/QGIS/tree/master/images/icons?

#12 - 2014-02-17 02:41 PM - Larry Shaffer

| agree with Anita, the icon needs to be more discernible from desktop app icon, especially when at 24 x 24px. However, | think the folder graphic should

be avoided, since it will always clash with some OS's folder icons.
| used a magnifying glass as an icon stamp (see above). | suggest using that or a similar concept for a stamp, or having a 'browser'-concept background,

and one that is more 3D-looking than the current choices.

#13 - 2014-02-18 09:54 AM - Joao Gaspar
- File icon_prototype_v14_magnifier.svg added

Icon based on magnifier icon of Larry.

#14 - 2014-06-12 06:26 PM - zirneklitis -
- File qgis_browser _icon_prototype_v12.svg added

Keeping in mind the size of icons (16x16, 24x24, .., 512x512) | modified the qgis_browser_icon_prototype_v2.svg

#15 - 2014-06-13 01:13 AM - zirneklitis -
- File icons.tar.xz added

The old QGIS symbol is good for creating QGIS browser icon as it is much thinner then the present one. Take a look at the set of icons.

#16 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#17 - 2014-10-02 01:50 PM - Jodo Gaspar

- File icon_prototype _v15_magnifier.png added

Hi guys,
based on discussion in http://osgeo-org.1560.x6.nabble.com/Qgis-files-and-related-icons-td5163236.html:

new version of the prototype:

https://github.com/jonnyforestGIS/Prototype_QGIS_Browser/blob/master/icon_prototype v15_magnifier.svg

See in attach a png. preview

Regards

Jodo

#18 - 2014-10-04 06:17 AM - Jodo Gaspar

Hi guys, i add more icons for .qml, .qgs, .gpt see in:

https://github.com/jonnyforestGIS/others_prototype files QGIS

The mailing discussion is over here:

http://osgeo-org.1560.x6.nabble.com/Qgis-files-and-related-icons-td5163236.html:

Regards,
Jodo

#19 - 2015-05-11 12:45 AM - Giovanni Manghi
- Status changed from Feedback to Open

#20 - 2015-05-22 12:02 PM - Anita Graser
- File qgis_globe_draft1.svg added
- File qgis_globe_draft1.png added

We discussed this shortly at the dev meeting. The browser icon should be significantly different to be easily distinguished from the desktop icon.

Therefore, small addons in the corner of the original Q don't work.

| suggest the following icon which uses the QGIS colors but the color focus is clearly on the darker green rather than the yellow-green of the Q.

It would be great if we could decide to have a new icon in 2.10. Jlrgen has already prepared the repo and we just need to replace

https://github.com/qgis/QGIS/blob/master/src/browser/browser.ico

qgis_globe_draft1.png

#21 - 2015-05-24 04:53 AM - Anita Graser
- File qgis_browser.ico added

Here's the ico

#22 - 2015-05-26 09:53 AM - Anita Graser
- Resolution set to fixed/implemented
- Status changed from Open to Closed
http://osgeo-org.1560.x6.nabble.com/Qgis-files-and-related-icons-td5163236.html
https://github.com/jonnyforestGIS/Prototype_QGIS_Browser/blob/master/icon_prototype_v15_magnifier.svg
https://github.com/jonnyforestGIS/others_prototype_files_QGIS
http://osgeo-org.1560.x6.nabble.com/Qgis-files-and-related-icons-td5163236.html
https://github.com/qgis/QGIS/blob/master/src/browser/browser.ico

- Target version changed from Future Release - Lower Priority to Version 2.10

The icon is in now. Thanks Jiirgen for adding!

#23 - 2015-05-26 01:07 PM - Jiirgen Fischer

(accidently) committed in commit:83899182

#24 - 2015-05-27 05:17 PM - Larry Shaffer

Hi,

If this new icon is agreed upon, | will convert it for Mac icon format and place it at (qgisb.icns):

https://github.com/qgis/QGIS/blob/master/images/icons/mac/browser/

#25 - 2015-05-27 11:51 PM - Andreas Neumann

Would it be possible to also backport this to the 2.8 branch? Esp. for people who installed several versions at once, it helps a lot to better distinguish

browser from desktop. Also, it should be fairly save to backport this ;-)

Files

browser_ico_32.png 2.22 KB 2012-11-03 Alexander Bruy
qgisb.png 23.3KB 2012-11-03 Larry Shaffer
qgis_browser_icon_prototype_v1.svg 19.3 KB 2014-02-17 Andreas Neumann
icon_prototype_v14_magnifier.svg 36.4 KB 2014-02-18 Jodo Gaspar
qgis_browser_icon_prototype_v12.svg 23.4 KB 2014-06-12 zirneklitis -
icons.tar.xz 423 KB 2014-06-12 zirneklitis -
icon_prototype_v15_magnifier.png 41.3 KB 2014-10-02 Jodo Gaspar
qgis_globe_draft1.png 113 KB 2015-05-22 Anita Graser
qgis_globe_draft1.svg 39.3KB 2015-05-22 Anita Graser
qgis_browser.ico 87.9 KB 2015-05-24 Anita Graser
